package com.tzld.piaoquan.recommend.feature.client;

import com.google.protobuf.InvalidProtocolBufferException;
import com.google.protobuf.Message;
import com.google.protobuf.MessageOrBuilder;
import com.google.protobuf.util.JsonFormat;

/**
 * @author dyp
 */
public class ProtobufUtils {
    public static String toJson(MessageOrBuilder message) throws InvalidProtocolBufferException {
        if (message == null) {
            return "";
        }
        return JsonFormat.printer().includingDefaultValueFields().print(message);
    }

    public static void fromJson(String json, Message.Builder builder) throws InvalidProtocolBufferException {
        JsonFormat.parser().merge(json, builder);
    }

}
